%define upstream_name    Number-RGB
%define upstream_version 1.41

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Manipulate RGB Tuples
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Number/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Attribute::Handlers) >= 0.990
BuildRequires: perl(Class::Accessor::Fast)
BuildRequires: perl(Params::Validate)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)

BuildArch: noarch


%description
This module creates RGB tuple objects and overloads their operators to make
RGB math easier. An attribute is also exported to the caller to make
construction shorter.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%{make}

%check
# fails due to new attribute::handler
# cf http://rt.cpan.org/Public/Bug/Display.html?id=41394
#%{make} test

%install
%make_install

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.410.0-7.mga10
+ Revision: 2200044
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.410.0-6.mga9
+ Revision: 1805011
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.410.0-5.mga8
+ Revision: 1496129
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.410.0-4.mga7
+ Revision: 1270210
- Mageia 7 Mass Rebuild

* Wed May 11 2016 tv <tv> 1.410.0-3.mga6
+ Revision: 1013390
- BR perl(Test::Exception)
- BR new enough Attribute::Handlers as it's dual packaged

* Fri Feb 19 2016 umeabot <umeabot> 1.410.0-2.mga6
+ Revision: 970022
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 1.410.0-1.mga6
+ Revision: 884771
- update to 1.41

* Sun Oct 19 2014 umeabot <umeabot> 1.200.0-6.mga5
+ Revision: 789157
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.200.0-5.mga5
+ Revision: 745918
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.200.0-4.mga5
+ Revision: 685764
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.200.0-3.mga4
+ Revision: 513701
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.200.0-2.mga3
+ Revision: 371024
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 1.200.0-1.mga1
+ Revision: 32279
- mageia rebuild
- imported package perl-Number-RGB

